package com.logicbig.example.app;


import com.logicbig.example.client.RetailBuyer;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;

@Configuration
@ComponentScan(basePackages = "com.logicbig.example.client;com.logicbig.example.service",
        excludeFilters = @ComponentScan.Filter(
                type = FilterType.ANNOTATION,
                classes = ExcludeFromScan.class
        )

)
public class OnlineOrderApp {

    public static void main(String... strings) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(OnlineOrderApp.class);
        System.out.println("-- Spring container started and is ready --");
        RetailBuyer retailBuyer = context.getBean(RetailBuyer.class);
        retailBuyer.buySomething();

        boolean wholeSaleOrderServiceRegistered =
                context.containsBean("wholeSaleOrderService");
        System.out.println("WholeSaleOrderService registered: " + wholeSaleOrderServiceRegistered);


        boolean wholesaler =
                context.containsBean("wholesaler");
        System.out.println("Wholesaler registered: " + wholesaler);
    }
}